import { httpApp } from "@/plugins/axiosIndex";
import { object2QueryString } from "@/utils/utils";

export function uploadFile({ file }) {
  return httpApp.post(
    "/api/admin/user/query?" + object2QueryString({ type: "frontend" }),
    { file: file },
    { headers: { "Content-Type": "multipart/form-data" } }
  );
}
